Vai al contenuto principale
POST
/api/v1/video/retrieve
Se la risposta di /video/queue includeva un download_url, scarica il file finale da quell’URL (non come binario da questo endpoint). Altrimenti, questo endpoint restituisce il video. Consulta Link di download privati per scoprire come funziona il link, i retry e l’eventuale DELETE.

Autorizzazioni

Authorization
string
header
obbligatorio

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
queue_id
string
obbligatorio

The ID of the video generation request.

Esempio:

"123e4567-e89b-12d3-a456-426614174000"

model
string
deprecato

Ignored. The queued video identifies its own model.

Esempio:

"video-model-123"

delete_media_on_completion
boolean
predefinito:false

If true, the video media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the video.

Esempio:

false

Risposta

Video file if completed, or processing status if still in progress

status
enum<string>
obbligatorio

The status of the video generation request.

Opzioni disponibili:
PROCESSING,
COMPLETED
Esempio:

"PROCESSING"

average_execution_time
number
obbligatorio

The estimated execution time of the video generation request in milliseconds (P80).

Esempio:

145000

execution_duration
number
obbligatorio

The current duration of the video generation request in milliseconds.

Esempio:

53200